---
- name: Install StrongSwan configuration files
  template:
    src: templates/swanctl.j2
    dest: /etc/swanctl/swanctl.conf
    backup: yes
  notify: restart strongswan

- name: Load the IPSec Tunnel
  shell: "sudo swanctl --load-all"
  ignore_errors: true

- name: Flush Handlers, best practice
  meta: flush_handlers
